#ifndef TRIANGLE_HPP
#define TRIANGLE_HPP

#include "Point.hpp"

class Triangle
{
    public:
        Point A;
        Point B;
        Point C;

        Triangle();
        Triangle(const Point& A, const Point& B, const Point& C);
        ~Triangle();

        bool Contains(const Point& P) const;

};

#endif // TRIANGLE_HPP
